use rocket::fairing::AdHoc;

mod db;
mod route;
pub mod util;
mod cluster;
pub mod entity;
pub use db::Db;
pub mod services;

pub fn init() -> AdHoc {
    AdHoc::on_ignite("mod(db)", |rocket| async {
        rocket.attach(db::init())
            .attach(route::init())
    })
}
